import{s as Ke,n as Ve,o as Xe}from"../chunks/scheduler.412302f6.js";import{S as et,i as tt,g as a,s as o,r as j,A as nt,h as s,f as n,c as l,j as Ze,u as S,x as p,k as Je,y as it,a as i,v as Q,d as Y,t as B,w as O}from"../chunks/index.f36f02f5.js";import{H as W}from"../chunks/Heading.41d80af4.js";function ot(Ie){let u,F,D,Z,r,J,m,be="Inference Endpoints (IE) is a solution to serve generation using supported models on TPU. It does not require setting up a separate GCP account, and it will offer some pre-configured settings to serve models with Optimum’s TPU TGI.",K,f,Me=`You can deploy any of our supported models on Inference Endpoint (see list of supported models).
Inference Endpoints offer secure production environments by setting up a TGI server that can auto-scale based on demand.`,V,d,Ee="We have optimized Inference Endpoints on TPU to ensure each model achieves optimal performance.",X,g,ee,c,He='Click the “New Endpoint” button to get started at <a href="https://endpoints.huggingface.co" rel="nofollow">https://endpoints.huggingface.co</a>',te,h,Ue='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_create_new_endpoint.png" alt="Create new endpoint"/>',ne,v,ie,x,Le=`Configure your endpoint by selecting from the list of TPU-supported models.
Note: If you choose a model unsupported on TPU, the TPU option will not be visible. This is by design to prevent starting unsupported models on TPU.`,oe,y,ze="Let’s use google/gemma-2b-it as an example. The TPU tab is selectable, so we can confirm TPU compatibility. Note that this model is unavailable on CPU, as indicated by the greyed-out CPU option.",le,C,qe='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_config_new_endpoint.png" alt="Configure endpoint"/>',ae,T,Ne="Note: We automatically select the optimal hardware and configuration for each model. For google/gemma-2b-it, being a smaller model, we select a 1-chip TPU (TPU v5e-1) since 16GB of HBM (High Bandwidth Memory) is sufficient to serve the 2B model. This ensures cost-efficient resource allocation without unnecessary computing expenses.",se,$,Ge="We extensively test and optimize TGI configurations to maximize hardware performance. Parameters such as Max Input Length, Max Number of Tokens, and Max Batch Prefill Tokens are automatically configured based on each model’s requirements and are set manually by the optimum-tpu team. If you set the model to google/gemma-7b-it, you will see that those values in “container configuration” are different and optimized for the 7b model instead.",pe,w,ke="<strong>Note</strong>: You can set up advanced TGI features like quantization by accessing the environment variables section of the interface. You can, for example, set “key:QUANTIZATION” and “value:1” to enable quantization. You can view all those advanced TGI options in our advanced TGI serving guide (./advance-tgi-config)",ue,_,Ae="Once you’ve completed the configuration, click the “Create Endpoint” button.",re,P,me,I,je="The endpoint requires initialization, during which you can monitor the logs. In the logs section, you will observe the model undergoing warmup to compile for optimal performance. Endpoint startup typically takes between 5 to 30 minutes, depending on the model size. This warmup period triggers multiple compilations to ensure peak serving performance.",fe,b,Se='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_endpoint_initalizing.png" alt="IE init"/>',de,M,Qe="After the endpoint completes “Initializing,” you can query it through the GUI or API.",ge,E,Ye='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_endpoint_running.png" alt="IE running"/>',ce,H,Be="Query your endpoint using either the playground or curl commands.",he,U,ve,L,Oe="Use the GUI to write and execute queries on the TPU instance.",xe,z,We='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_playground_openapi.png" alt="IE playground openAI"/>',ye,q,Ce,N,De="Alternatively, use curl commands to query the endpoint.",Te,G,Re='<img src="https://huggingface.co/datasets/huggingface/documentation-images/resolve/main/optimum/tpu/ie_playground_curl.png" alt="IE playground curl"/>',$e,k,we,A,Fe=`<li>There are numerous ways to interact with your new inference endpoints. Review the inference endpoint documentation to explore different options:
<a href="https://huggingface.co/docs/inference-endpoints/index" rel="nofollow">https://huggingface.co/docs/inference-endpoints/index</a></li> <li>Consult our advanced parameter guide for TGI to learn about advanced TGI options you can use on inference endpoint (./howto/advanced-tgi-serving)</li>`,_e,R,Pe;return r=new W({props:{title:"How to Deploy a Model on Inference Endpoint (IE) for Serving using TPUs",local:"how-to-deploy-a-model-on-inference-endpoint-ie-for-serving-using-tpus",headingTag:"h1"}}),g=new W({props:{title:"1. Create a New Endpoint",local:"1-create-a-new-endpoint",headingTag:"h2"}}),v=new W({props:{title:"2. Configure the New Endpoint",local:"2-configure-the-new-endpoint",headingTag:"h2"}}),P=new W({props:{title:"3. Using Your Endpoint",local:"3-using-your-endpoint",headingTag:"h2"}}),U=new W({props:{title:"3.1 Query via Playground",local:"31-query-via-playground",headingTag:"h3"}}),q=new W({props:{title:"3.2 Query via curl",local:"32-query-via-curl",headingTag:"h3"}}),k=new W({props:{title:"Next Steps",local:"next-steps",headingTag:"h2"}}),{c(){u=a("meta"),F=o(),D=a("p"),Z=o(),j(r.$$.fragment),J=o(),m=a("p"),m.textContent=be,K=o(),f=a("p"),f.textContent=Me,V=o(),d=a("p"),d.textContent=Ee,X=o(),j(g.$$.fragment),ee=o(),c=a("p"),c.innerHTML=He,te=o(),h=a("p"),h.innerHTML=Ue,ne=o(),j(v.$$.fragment),ie=o(),x=a("p"),x.textContent=Le,oe=o(),y=a("p"),y.textContent=ze,le=o(),C=a("p"),C.innerHTML=qe,ae=o(),T=a("p"),T.textContent=Ne,se=o(),$=a("p"),$.textContent=Ge,pe=o(),w=a("p"),w.innerHTML=ke,ue=o(),_=a("p"),_.textContent=Ae,re=o(),j(P.$$.fragment),me=o(),I=a("p"),I.textContent=je,fe=o(),b=a("p"),b.innerHTML=Se,de=o(),M=a("p"),M.textContent=Qe,ge=o(),E=a("p"),E.innerHTML=Ye,ce=o(),H=a("p"),H.textContent=Be,he=o(),j(U.$$.fragment),ve=o(),L=a("p"),L.textContent=Oe,xe=o(),z=a("p"),z.innerHTML=We,ye=o(),j(q.$$.fragment),Ce=o(),N=a("p"),N.textContent=De,Te=o(),G=a("p"),G.innerHTML=Re,$e=o(),j(k.$$.fragment),we=o(),A=a("ul"),A.innerHTML=Fe,_e=o(),R=a("p"),this.h()},l(e){const t=nt("svelte-u9bgzb",document.head);u=s(t,"META",{name:!0,content:!0}),t.forEach(n),F=l(e),D=s(e,"P",{}),Ze(D).forEach(n),Z=l(e),S(r.$$.fragment,e),J=l(e),m=s(e,"P",{"data-svelte-h":!0}),p(m)!=="svelte-1gj0x0f"&&(m.textContent=be),K=l(e),f=s(e,"P",{"data-svelte-h":!0}),p(f)!=="svelte-l4ai0u"&&(f.textContent=Me),V=l(e),d=s(e,"P",{"data-svelte-h":!0}),p(d)!=="svelte-ofwzn5"&&(d.textContent=Ee),X=l(e),S(g.$$.fragment,e),ee=l(e),c=s(e,"P",{"data-svelte-h":!0}),p(c)!=="svelte-1lau2xz"&&(c.innerHTML=He),te=l(e),h=s(e,"P",{"data-svelte-h":!0}),p(h)!=="svelte-1b92ee2"&&(h.innerHTML=Ue),ne=l(e),S(v.$$.fragment,e),ie=l(e),x=s(e,"P",{"data-svelte-h":!0}),p(x)!=="svelte-uv8zvn"&&(x.textContent=Le),oe=l(e),y=s(e,"P",{"data-svelte-h":!0}),p(y)!=="svelte-1cxi32h"&&(y.textContent=ze),le=l(e),C=s(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-yre1dw"&&(C.innerHTML=qe),ae=l(e),T=s(e,"P",{"data-svelte-h":!0}),p(T)!=="svelte-1u002ac"&&(T.textContent=Ne),se=l(e),$=s(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-oh4w2n"&&($.textContent=Ge),pe=l(e),w=s(e,"P",{"data-svelte-h":!0}),p(w)!=="svelte-1juwtv9"&&(w.innerHTML=ke),ue=l(e),_=s(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-ayx1z3"&&(_.textContent=Ae),re=l(e),S(P.$$.fragment,e),me=l(e),I=s(e,"P",{"data-svelte-h":!0}),p(I)!=="svelte-1u8agoy"&&(I.textContent=je),fe=l(e),b=s(e,"P",{"data-svelte-h":!0}),p(b)!=="svelte-odj5fy"&&(b.innerHTML=Se),de=l(e),M=s(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-1yefhdy"&&(M.textContent=Qe),ge=l(e),E=s(e,"P",{"data-svelte-h":!0}),p(E)!=="svelte-1gprk4e"&&(E.innerHTML=Ye),ce=l(e),H=s(e,"P",{"data-svelte-h":!0}),p(H)!=="svelte-dsyjr6"&&(H.textContent=Be),he=l(e),S(U.$$.fragment,e),ve=l(e),L=s(e,"P",{"data-svelte-h":!0}),p(L)!=="svelte-1pdnjmh"&&(L.textContent=Oe),xe=l(e),z=s(e,"P",{"data-svelte-h":!0}),p(z)!=="svelte-1p1kb9j"&&(z.innerHTML=We),ye=l(e),S(q.$$.fragment,e),Ce=l(e),N=s(e,"P",{"data-svelte-h":!0}),p(N)!=="svelte-1qfsu42"&&(N.textContent=De),Te=l(e),G=s(e,"P",{"data-svelte-h":!0}),p(G)!=="svelte-1v2tlrh"&&(G.innerHTML=Re),$e=l(e),S(k.$$.fragment,e),we=l(e),A=s(e,"UL",{"data-svelte-h":!0}),p(A)!=="svelte-1tiz6mn"&&(A.innerHTML=Fe),_e=l(e),R=s(e,"P",{}),Ze(R).forEach(n),this.h()},h(){Je(u,"name","hf:doc:metadata"),Je(u,"content",lt)},m(e,t){it(document.head,u),i(e,F,t),i(e,D,t),i(e,Z,t),Q(r,e,t),i(e,J,t),i(e,m,t),i(e,K,t),i(e,f,t),i(e,V,t),i(e,d,t),i(e,X,t),Q(g,e,t),i(e,ee,t),i(e,c,t),i(e,te,t),i(e,h,t),i(e,ne,t),Q(v,e,t),i(e,ie,t),i(e,x,t),i(e,oe,t),i(e,y,t),i(e,le,t),i(e,C,t),i(e,ae,t),i(e,T,t),i(e,se,t),i(e,$,t),i(e,pe,t),i(e,w,t),i(e,ue,t),i(e,_,t),i(e,re,t),Q(P,e,t),i(e,me,t),i(e,I,t),i(e,fe,t),i(e,b,t),i(e,de,t),i(e,M,t),i(e,ge,t),i(e,E,t),i(e,ce,t),i(e,H,t),i(e,he,t),Q(U,e,t),i(e,ve,t),i(e,L,t),i(e,xe,t),i(e,z,t),i(e,ye,t),Q(q,e,t),i(e,Ce,t),i(e,N,t),i(e,Te,t),i(e,G,t),i(e,$e,t),Q(k,e,t),i(e,we,t),i(e,A,t),i(e,_e,t),i(e,R,t),Pe=!0},p:Ve,i(e){Pe||(Y(r.$$.fragment,e),Y(g.$$.fragment,e),Y(v.$$.fragment,e),Y(P.$$.fragment,e),Y(U.$$.fragment,e),Y(q.$$.fragment,e),Y(k.$$.fragment,e),Pe=!0)},o(e){B(r.$$.fragment,e),B(g.$$.fragment,e),B(v.$$.fragment,e),B(P.$$.fragment,e),B(U.$$.fragment,e),B(q.$$.fragment,e),B(k.$$.fragment,e),Pe=!1},d(e){e&&(n(F),n(D),n(Z),n(J),n(m),n(K),n(f),n(V),n(d),n(X),n(ee),n(c),n(te),n(h),n(ne),n(ie),n(x),n(oe),n(y),n(le),n(C),n(ae),n(T),n(se),n($),n(pe),n(w),n(ue),n(_),n(re),n(me),n(I),n(fe),n(b),n(de),n(M),n(ge),n(E),n(ce),n(H),n(he),n(ve),n(L),n(xe),n(z),n(ye),n(Ce),n(N),n(Te),n(G),n($e),n(we),n(A),n(_e),n(R)),n(u),O(r,e),O(g,e),O(v,e),O(P,e),O(U,e),O(q,e),O(k,e)}}}const lt='{"title":"How to Deploy a Model on Inference Endpoint (IE) for Serving using TPUs","local":"how-to-deploy-a-model-on-inference-endpoint-ie-for-serving-using-tpus","sections":[{"title":"1. Create a New Endpoint","local":"1-create-a-new-endpoint","sections":[],"depth":2},{"title":"2. Configure the New Endpoint","local":"2-configure-the-new-endpoint","sections":[],"depth":2},{"title":"3. Using Your Endpoint","local":"3-using-your-endpoint","sections":[{"title":"3.1 Query via Playground","local":"31-query-via-playground","sections":[],"depth":3},{"title":"3.2 Query via curl","local":"32-query-via-curl","sections":[],"depth":3}],"depth":2},{"title":"Next Steps","local":"next-steps","sections":[],"depth":2}],"depth":1}';function at(Ie){return Xe(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class rt extends et{constructor(u){super(),tt(this,u,at,ot,Ke,{})}}export{rt as component};
